%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Software-License
%define modv   0.102341
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl package providing templated software licenses
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-0.102340-build.patch
Patch1:        %{modn}-0.102340-tests.patch
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Ricardo Signes <rjbs@cpan.org>
Provides:      perl(Software::License) = %{modv}
Provides:      perl(Software::License::AGPL_3) = %{modv}
Provides:      perl(Software::License::Apache_1_1) = %{modv}
Provides:      perl(Software::License::Apache_2_0) = %{modv}
Provides:      perl(Software::License::Artistic_1_0) = %{modv}
Provides:      perl(Software::License::Artistic_2_0) = %{modv}
Provides:      perl(Software::License::BSD) = %{modv}
Provides:      perl(Software::License::CC0_1_0) = %{modv}
Provides:      perl(Software::License::FreeBSD) = %{modv}
Provides:      perl(Software::License::GFDL_1_2) = %{modv}
Provides:      perl(Software::License::GPL_1) = %{modv}
Provides:      perl(Software::License::GPL_2) = %{modv}
Provides:      perl(Software::License::GPL_3) = %{modv}
Provides:      perl(Software::License::LGPL_2_1) = %{modv}
Provides:      perl(Software::License::LGPL_3_0) = %{modv}
Provides:      perl(Software::License::MIT) = %{modv}
Provides:      perl(Software::License::Mozilla_1_0) = %{modv}
Provides:      perl(Software::License::Mozilla_1_1) = %{modv}
Provides:      perl(Software::License::None) = %{modv}
Provides:      perl(Software::License::OpenSSL) = %{modv}
Provides:      perl(Software::License::Perl_5) = %{modv}
Provides:      perl(Software::License::PostgreSQL) = %{modv}
Provides:      perl(Software::License::QPL_1_0) = %{modv}
Provides:      perl(Software::License::SSLeay) = %{modv}
Provides:      perl(Software::License::Sun) = %{modv}
Provides:      perl(Software::License::Zlib) = %{modv}
Provides:      perl(Software::LicenseUtils) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.6
BuildRequires: perl(Data::Section)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Template)
BuildArch:     noarch


%description
Software::License is a Perl package that provide templated software licenses.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1
%patch1 -p1


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Mon Dec 20 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.102341-1
- New version (0.102341)

* Mon Nov 15 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.102340-1
- Initial build
